Update institution contact
curl --request PATCH \
--url https://api.example.com/v1/cases/{case_id}/institution-contacts/{contact_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"institution_name": "<string>",
"department_name": "<string>",
"financial_account_id": "<string>",
"is_default_contact": true,
"account_types": [],
"debt_subtypes": [],
"contact_methods": {
"phone": "<string>",
"phone_hours": "<string>",
"phone_extension": "<string>",
"fax": "<string>",
"email": "jsmith@example.com",
"mailing_address": {
"address1": "123 Main Street",
"address2": null,
"city": "Salt Lake City",
"state": "UT",
"zip": "84101"
},
"website": "<string>"
},
"contact_person": "<string>",
"contact_title": "<string>",
"reference_number": "<string>",
"notes": "<string>"
}
'import requests
url = "https://api.example.com/v1/cases/{case_id}/institution-contacts/{contact_id}"
payload = {
"institution_name": "<string>",
"department_name": "<string>",
"financial_account_id": "<string>",
"is_default_contact": True,
"account_types": [],
"debt_subtypes": [],
"contact_methods": {
"phone": "<string>",
"phone_hours": "<string>",
"phone_extension": "<string>",
"fax": "<string>",
"email": "jsmith@example.com",
"mailing_address": {
"address1": "123 Main Street",
"address2": None,
"city": "Salt Lake City",
"state": "UT",
"zip": "84101"
},
"website": "<string>"
},
"contact_person": "<string>",
"contact_title": "<string>",
"reference_number": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
institution_name: '<string>',
department_name: '<string>',
financial_account_id: '<string>',
is_default_contact: true,
account_types: [],
debt_subtypes: [],
contact_methods: {
phone: '<string>',
phone_hours: '<string>',
phone_extension: '<string>',
fax: '<string>',
email: 'jsmith@example.com',
mailing_address: {
address1: '123 Main Street',
address2: null,
city: 'Salt Lake City',
state: 'UT',
zip: '84101'
},
website: '<string>'
},
contact_person: '<string>',
contact_title: '<string>',
reference_number: '<string>',
notes: '<string>'
})
};
fetch('https://api.example.com/v1/cases/{case_id}/institution-contacts/{contact_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "01K8IC04DJ3T10HRYE78AN7DDD",
"financial_account_id": "<string>",
"institution_name": "Chase Bank",
"department_name": "Estate Services Department",
"is_default_contact": false,
"account_types": [
"bank"
],
"debt_subtypes": [],
"contact_methods": {
"phone": "+11112223333",
"phone_hours": "Mon-Fri 8am-6pm EST",
"phone_extension": "<string>",
"fax": "+11112223333",
"email": "estates@chase.com",
"mailing_address": {
"address1": "123 Main Street",
"address2": null,
"city": "Salt Lake City",
"state": "UT",
"zip": "84101"
},
"website": "https://www.chase.com/personal/estates"
},
"contact_person": "John Johnson",
"contact_title": "Estate Services Specialist",
"reference_number": "EST-2025-00456",
"notes": "Ask for estate services team, reference case number.",
"last_contacted": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}{
"error": {
"code": "validation_error",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"message": "Must be a valid email address."
}
]
}
}Institution Contacts
Update institution contact
Update an institution contact’s department info, contact methods, or account type routing.
PATCH
/
cases
/
{case_id}
/
institution-contacts
/
{contact_id}
Update institution contact
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
bank, debt, investment, retirement, insurance Available options:
credit_card, mortgage_and_real_estate, auto_loans_and_leases, personal_loan, education, business_credit, collections, medical, secured_loan Show child attributes
Show child attributes
Response
Contact updated.
Show child attributes
Show child attributes
⌘I

